//===========================================================================
//Copyright (c) 2005 Артур Аюханов aka artbear
//=============================================================================
//Скрипт:  
//Версия:  $Revision: 1.2 $ 
//Автор:   Артур Аюханов
//E-mail:  artbear@bashnet.ru
//ICQ UIN: 265666057
//Описание: 
//    Загрузка необходимых конфигураций
//Примечание:
//	пока пути к конфигурациям задаются вручную 
//
//	!!! ВНИМАНИЕ: из-за особенностей языка JScript необходимо ставить 2 знака \\ вместо одного \ !!!
//
//===========================================================================
//
// TODO - более удобная установка путей к конфигурациям 
// TODO - ведение списка конфигураций
// TODO - группировка конфигураций по типу (ЗиК, ПУБ, БУХ, ТОРГ и т.д)

var strZPConfigPath = "W:\\Зарплата Отладка\\1cv7.md"; // путь к базе зарплаты по умолчанию
var strPubConfigPath = "W:\\Mnfctr\\Текущая 275\\1cv7.md"; // путь к базе производства по умолчанию

function ЗагрузитьКонфигурациюЗарплаты()
{                                                                           
	ЗагрузитьКонфигурацию(strZPConfigPath);
}

function ЗагрузитьКонфигурациюПроизводства()
{                                                                           
	ЗагрузитьКонфигурацию(strPubConfigPath);
}

function ЗагрузитьКонфигурацию(strConfigPath)
{                                                                           
	var LoadMergeMDScript = 0;

    try {
		LoadMergeMDScript = Scripts("ЗагрузкаОбъединениеМД");
    }
    catch (e) {
        Message("Не найден скрипт ЗагрузкаОбъединениеМД", mRedErr);    
    }
	if (-1 == strConfigPath.search(/\\/i))
	{
		CommonScripts.Error("Неверно задано имя файла\nСкорее всего, поставили один знак \\ вместо ДВУХ \\\\ !!\n"+strConfigPath);
		return;
    }
	if (LoadMergeMDScript)
	{
		//bSuccessLoad = LoadMergeMDScript.DoAutomaticMDUpdate(strConfigPath, true);
		bSuccessLoad = LoadMergeMDScript.DoAutomaticMDUpdateWithDebugMessages(strConfigPath, true);
	}
}

/*
 * Процедура инициализации скрипта 
 */
function Init(_) // Фиктивный параметр, чтобы процедура не попадала в макросы
{    
    try {
        var c = null;
        if (!(c = new ActiveXObject("OpenConf.CommonServices"))) {
            throw(true); // вызываем исключение
        }        
        c.SetConfig(Configurator);
        SelfScript.AddNamedItem("CommonScripts", c, false);
    }
    catch (e) {
        Message("Не могу создать объект OpenConf.CommonServices", mRedErr);    
        Message("Скрипт " & SelfScript.Name & " не загружен", mInformation);
        Scripts.UnLoad(SelfScript.Name);
    }
}

Init(); // При загрузке скрипта выполняем его инициализацию